Bug 817425 - Errors/warnings not in upstream builds.
Errors/warnings not in upstream builds.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 20:38 EDT by Hin-Tak Leung
Modified: 2013-12-19 21:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:53:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the out1.pdf file (2.88 MB, application/pdf)
2012-04-29 20:38 EDT, Hin-Tak Leung
no flags Details
another - out2.pdf (249.52 KB, application/pdf)
2012-04-29 20:42 EDT, Hin-Tak Leung
no flags Details

  None (edit)
Description Hin-Tak Leung 2012-04-29 20:38:44 EDT
Created attachment 581110 [details]
the out1.pdf file

Description of problem:

fedora builds of ghostscript shows errors/warnings which are not in upstream builds.

Version-Release number of selected component (if applicable):
ghostscript-9.04-7.fc16.x86_64
ghostscript-9.05-1.fc16.x86_64 (from koji)

How reproducible:
Always

Steps to Reproduce:
1. gs -dNOPAUSE -dBATCH out1.pdf (attached file)
  
Actual results:

-----------
GPL Ghostscript 9.05 (2012-02-08)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
Can't find (or can't open) font file /usr/share/ghostscript/9.05/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.05/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
   **** Error reading a content stream. The page may be incomplete.
   **** File did not complete the page properly and may be damaged.

   **** This file had errors that were repaired or ignored.
   **** The file was produced by: 
   **** >>>> iText 2.1.7 by 1T3XT <<<<
   **** Please notify the author of the software that produced this
   **** file that it does not conform to Adobe's published PDF
   **** specification.
-----------

Expected results:

upstream recent git build's behavior:
---------
GPL Ghostscript GIT PRERELEASE 9.06 (2012-02-08)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
Loading NimbusSanL-Regu font from %rom%Resource/Font/NimbusSanL-Regu... 3448848 2053346 6270144 4964354 3 done.
Loading NimbusSanL-Bold font from %rom%Resource/Font/NimbusSanL-Bold... 3448848 2097734 6290328 4987530 3 done.
Loading NimbusSanL-ReguItal font from %rom%Resource/Font/NimbusSanL-ReguItal... 3469032 2150385 6371064 5057586 3 done.
Loading NimbusSanL-BoldItal font from %rom%Resource/Font/NimbusSanL-BoldItal... 3509400 2202447 6391248 5082436 3 done.
---------

Additional info:
Comment 1 Hin-Tak Leung 2012-04-29 20:42:14 EDT
Created attachment 581111 [details]
another - out2.pdf

gs -dNOPAUSE -dBATCH out2.pdf

fedora build shows:
---------

GPL Ghostscript 9.05 (2012-02-08)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
Substituting font Helvetica for ArialMT.
Can't find (or can't open) font file /usr/share/ghostscript/9.05/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.05/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
   **** Warning: can't process font stream, loading font by the name.
Substituting font Helvetica for ArialMT.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 4190232 2853014 10154152 8754760 3 done.


   **** This file had errors that were repaired or ignored.
   **** The file was produced by: 
   **** >>>> iText 2.1.7 by 1T3XT <<<<
   **** Please notify the author of the software that produced this
   **** file that it does not conform to Adobe's published PDF
   **** specification.
------------

upstream recent git build shows:

------------
GPL Ghostscript GIT PRERELEASE 9.06 (2012-02-08)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
Substituting font Helvetica for ArialMT.
Loading NimbusSanL-Regu font from %rom%Resource/Font/NimbusSanL-Regu... 3448848 2053389 6290328 4990487 3 done.
------------
Comment 2 Hin-Tak Leung 2012-04-29 20:44:35 EDT
It does not seems to be a recent bug fix - looks like it is a freetype/fontconfig problem (i.e. fedora specific). Have some upsteam build of gs 8.72 around which does not show those errors either.
Comment 3 Fedora End Of Life 2013-01-16 15:29:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 18:53:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Tim Waugh 2013-12-16 06:22:31 EST
FWIW these both seem fixed in Fedora 20.
Comment 6 Hin-Tak Leung 2013-12-19 21:15:26 EST
Indeed, whatever the problem was, it isn't in f20 anymore.

$ rpm -q ghostscript
ghostscript-9.10-4.fc20.x86_64
ghostscript-9.10-4.fc20.i686

Note You need to log in before you can comment on or make changes to this bug.